Framework 3.5 SP1 kann nicht installiert werden

U

UTSky

Guest
Ich möchte für Vista das Microsoft Framework 3.5 SP1 installieren, nur leider scheitert das immer und immer wieder an dem selben Problem - Visual Studio 8.

Microsofts Service Pack 1 ist installiert. Hab schon das 'dotnetfx cleanup tool' benutzt und alle Frameworks Versionen gelöscht. UAC ein- und ausgeschaltet, hin und her installiert. Nichts hilft.

[05/19/10,13:59:37] Microsoft .NET Framework 2.0SP1 (CBS): [2] Failed to fetch setup file in CBaseComponent::PreInstall()
[05/19/10,13:59:37] setup.exe: [2] ISetupComponent::Pre/Post/Install() failed in ISetupManager::InternalInstallManager() with HRESULT -2147467260.
[05/19/10,13:59:37] setup.exe: [2] CSetupManager::RunInstallPhase() - Call to Pre/Install/Post for InstallComponents failed
[05/19/10,13:59:37] setup.exe: [2] CSetupManager::RunInstallPhaseAndCheckResults() - RunInstallPhase() returned a NULL piActionResults
[05/19/10,13:59:37] setup.exe: [2] CSetupManager::RunInstallFromList() - RunInstallPhaseAndCheckResults failed [2]
[05/19/10,13:59:38] setup.exe: [2] ISetupManager::RunInstallLists(IP_PREINSTALL failed in ISetupManager::RunInstallFromThread()
[05/19/10,13:59:38] setup.exe: [2] ISetupManager::RunInstallFromThread() failed in ISetupManager::RunInstall()
[05/19/10,13:59:38] setup.exe: [2] CSetupManager::Run() - Call to RunInstall() failed
[05/19/10,13:59:38] WapUI: [2] DepCheck indicates Microsoft .NET Framework 2.0SP1 (CBS) is not installed.
[05/19/10,13:59:38] WapUI: [2] DepCheck indicates Microsoft .NET Framework 3.0SP1 (CBS) was not attempted to be installed.
[05/19/10,13:59:39] WapUI: [2] DepCheck indicates Microsoft .NET Framework 3.5 'package' was not attempted to be installed.
[05/19/10,13:59:39] WapUI: [2] DepCheck indicates Microsoft .NET Framework 3.5LP - NLD was not attempted to be installed.
[05/19/10,14:23:03] Microsoft .NET Framework 2.0SP1 (CBS): [2] Error: Installation failed for component Microsoft .NET Framework 2.0SP1 (CBS). MSI returned error code 1058
[05/19/10,14:23:20] WapUI: [2] DepCheck indicates Microsoft .NET Framework 2.0SP1 (CBS) is not installed.
Hier in der Fehlerbeschreibung steht das Framework 2.0SP1 und 3 fehlen, diese Updates sind aber nicht für Vista (jedenfalls sagt das die Download beschreibung)

Kennt jemand eine Lösung?
 

Herbboy

Senior Community Officer
Teammitglied
Mitglied seit
22.03.2001
Beiträge
78.560
Reaktionspunkte
5.906
Machst Du das per windowsupdate oder mit einem Download, den Du installieren willst? Ich würd erstmal ALLE verfügbaren empfohlenen updates installieren, Boardtreiber evlt. auch mal aktualisieren, dann erst den SP für das FW installieren, und zwar über das windowsupdate mit "benutzerdefinierte updates" oder wie das heißt.

Und dabei mal virenscanner und firewall aus, bzw. teste es vlt. vorher auch mal so, wie Du es versuchst hast, mit virenscanner/firewall aus.
 
TE
U

UTSky

Guest
Hab bis jetzt noch nie ein Windows Update durchgeführt, wenn es nötig war so wie beim SP1, dann lade ich mir das runter.
Firewall mache ich bei Problemen grundsätzlich aus (Antivir habe/brauche ich nicht).
Werde aber mal ein Windows Update durchführen. Treiber sind grundsätzlich Up-to-date. - Soweit das bei Laptops möglich ist.
 
TE
U

UTSky

Guest
Asche auf mein Haupt
Mit dem Windows Updater gings - Frameworks 3.5 SP1 ist installiert

UDK ich komme
Danke dir Herb
 

Eol_Ruin

Bekanntes Gesicht
Mitglied seit
01.02.2003
Beiträge
6.060
Reaktionspunkte
35
Damit gehts am schnellsten:
http://www.computerbase.de/downloads/system/all_one_runtimes/

Vor allem wenn man öfter PCs aufsetzt eine unglaubliche Zeitersparnis :-D
 
Oben Unten